Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Interface DateChooserBean

All Known Implementing Classes:
  DateChooserCombo, DateChooserDialog, DateChooserPanel, DateChooserVisual

    public interface DateChooserBean

Common interface for all datechooser components.
Описывает общий интерфейс всех компонентов, включенных в библиотеку.

Since:
  1.0
Author:
  Androsov Vadim

Field Summary
`static java.lang.String` | `PREFIX` Property's name prefix.
`static java.lang.String` | `PROPERTY_AUTOSCROLL` Property name.
`static java.lang.String` | `PROPERTY_BACK_COLOR` Property name.
`static java.lang.String` | `PROPERTY_BEHAVIOR` Property name.
`static java.lang.String` | `PROPERTY_CALENDAR_SIZE` Property name.
`static java.lang.String` | `PROPERTY_CURRENT` Property name.
`static java.lang.String` | `PROPERTY_DEFAULT_DATES` Property name.
`static java.lang.String` | `PROPERTY_ENABLED` Property name.
`static java.lang.String` | `PROPERTY_FORBID_DATES` Property name.
`static java.lang.String` | `PROPERTY_LOCALE` Property name.
`static java.lang.String` | `PROPERTY_LOCKED` Property name.
`static java.lang.String` | `PROPERTY_MAX_DATE` Property name.
`static java.lang.String` | `PROPERTY_MIN_DATE` Property name.
`static java.lang.String` | `PROPERTY_NAVIG_FONT` Property name.
`static java.lang.String` | `PROPERTY_NAVIG_PANE` Property name.
`static java.lang.String` | `PROPERTY_NOTHING_ALLOWED` Property name.
`static java.lang.String` | `PROPERTY_ONE_MONTH` Property name.
`static java.lang.String` | `PROPERTY_VIEW` Property name.
`static java.lang.String` | `PROPERTY_WEEK_STYLE` Property name.

Method Summary
`void` | `addCommitListener(CommitListener listener)` Adds listener for commit event.
`void` | `addCursorMoveListener(CursorMoveListener listener)` Adds listener for cursor move event.
`void` | `addSelectionChangedListener(SelectionChangedListener listener)` Adds listener for selection changed event.
`DateChooserBean` | `clone()` Clones bean.
`void` | `commit()` Commits selection.
`AppearancesList` | `getAppearancesList()` Gets skins list.
`MultyModelBehavior` | `getBehavior()` Selection model: one date, single period, multy.
`java.awt.Color` | `getCalendarBackground()` Background color for calendar panel.
`java.awt.Dimension` | `getCalendarPreferredSize()` Calendar panel preferred size.
`java.util.Calendar` | `getCurrent()` Current date (date under cursor).
`int` | `getCurrentNavigateIndex()` Navigation panels: 1) ComboBox for month selection, textfield for year, 2) Use only buttons.
`AppearancesList` | `getCurrentView()` Current calendar appearance.
`PeriodSet` | `getDefaultPeriods()` Default date(s).
`PeriodSet` | `getForbiddenPeriods()` Forbidden date(s).
`java.util.Locale` | `getLocale()` Lovalization.
`java.util.Calendar` | `getMaxDate()` Maximal date user can select.
`java.util.Calendar` | `getMinDate()` Minimal date user can select.
`java.awt.Font` | `getNavigateFont()` Navigate panel font.
`java.util.Calendar` | `getSelectedDate()` Selected date.
`PeriodSet` | `getSelectedPeriodSet()` All selected dates.
`java.lang.Iterable<Period>` | `getSelection()` All selected dates.
`WeekDaysStyle` | `getWeekStyle()` Weeddays output style: one letter, short, full.
`boolean` | `isAutoScroll()` If true component automatically scrolls when date from the next month selected, otherwise user can not select next month's date.
`boolean` | `isEnabled()` Is calendar enabled (allows date selection).
`boolean` | `isLocked()` If true - user can use calendar only in readonly mode, you can move cursor, scroll month and year, but can not select anything.
`boolean` | `isNothingAllowed()` Allows null selection.
`boolean` | `isShowOneMonth()` If true - days of next month are visible.
`void` | `removeCommitListener(CommitListener listener)` Removes listener for commit event.
`void` | `removeCursorMoveListener(CursorMoveListener listener)` Removes listener for cursor move event.
`void` | `removeSelectionChangedListener(SelectionChangedListener listener)` Removes listener for selection change event.
`void` | `setAutoScroll(boolean autoScroll)`
`void` | `setBehavior(MultyModelBehavior behavior)`
`void` | `setCalendarBackground(java.awt.Color backColor)`
`void` | `setCalendarPreferredSize(java.awt.Dimension dim)`
`boolean` | `setCurrent(java.util.Calendar aDate)`
`void` | `setCurrentNavigateIndex(int currentNavigateIndex)`
`void` | `setCurrentView(AppearancesList aList)`
`void` | `setDefaultPeriods(PeriodSet periods)` Задает значение по умолчанию.
`void` | `setEnabled(boolean enabled)`
`void` | `setForbidden(java.lang.Iterable<Period> forbiddenPeriods)`
`void` | `setForbiddenPeriods(PeriodSet periods)` Sets forbiddent date(s).
`void` | `setLocale(java.util.Locale locale)`
`void` | `setLocked(boolean lock)`
`void` | `setMaxDate(java.util.Calendar aDate)`
`void` | `setMinDate(java.util.Calendar aDate)`
`void` | `setNavigateFont(java.awt.Font font)`
`void` | `setNothingAllowed(boolean allow)`
`void` | `setSelectedDate(java.util.Calendar aDate)`
`void` | `setSelection(java.lang.Iterable<Period> periods)`
`void` | `setSelection(PeriodSet periods)`
`void` | `setShowOneMonth(boolean showOneMonth)`
`void` | `setWeekStyle(WeekDaysStyle weekStyle)`

Field Detail

### PREFIX

    static final java.lang.String PREFIX

  Property's name prefix.
  Приставка к названиям всех свойтсв.

  Since:
    1.0
  See Also:
    Constant Field Values

### PROPERTY_AUTOSCROLL

    static final java.lang.String PROPERTY_AUTOSCROLL

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `isAutoScroll()`, Constant Field Values

### PROPERTY_BEHAVIOR

    static final java.lang.String PROPERTY_BEHAVIOR

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getBehavior()`, Constant Field Values

### PROPERTY_CURRENT

    static final java.lang.String PROPERTY_CURRENT

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getCurrent()`, Constant Field Values

### PROPERTY_DEFAULT_DATES

    static final java.lang.String PROPERTY_DEFAULT_DATES

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getDefaultPeriods()`, Constant Field Values

### PROPERTY_ENABLED

    static final java.lang.String PROPERTY_ENABLED

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `isEnabled()`, Constant Field Values

### PROPERTY_FORBID_DATES

    static final java.lang.String PROPERTY_FORBID_DATES

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getForbiddenPeriods()`, Constant Field Values

### PROPERTY_LOCKED

    static final java.lang.String PROPERTY_LOCKED

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `isLocked()`, Constant Field Values

### PROPERTY_MAX_DATE

    static final java.lang.String PROPERTY_MAX_DATE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getMaxDate()`, Constant Field Values

### PROPERTY_MIN_DATE

    static final java.lang.String PROPERTY_MIN_DATE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getMinDate()`, Constant Field Values

### PROPERTY_NOTHING_ALLOWED

    static final java.lang.String PROPERTY_NOTHING_ALLOWED

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `isNothingAllowed()`, Constant Field Values

### PROPERTY_ONE_MONTH

    static final java.lang.String PROPERTY_ONE_MONTH

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `isShowOneMonth()`, Constant Field Values

### PROPERTY_NAVIG_FONT

    static final java.lang.String PROPERTY_NAVIG_FONT

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getNavigateFont()`, Constant Field Values

### PROPERTY_VIEW

    static final java.lang.String PROPERTY_VIEW

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getCurrentView()`, Constant Field Values

### PROPERTY_LOCALE

    static final java.lang.String PROPERTY_LOCALE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getLocale()`, Constant Field Values

### PROPERTY_NAVIG_PANE

    static final java.lang.String PROPERTY_NAVIG_PANE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getCurrentNavigateIndex()`, Constant Field Values

### PROPERTY_WEEK_STYLE

    static final java.lang.String PROPERTY_WEEK_STYLE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getWeekStyle()`, Constant Field Values

### PROPERTY_BACK_COLOR

    static final java.lang.String PROPERTY_BACK_COLOR

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getCalendarBackground()`, Constant Field Values

### PROPERTY_CALENDAR_SIZE

    static final java.lang.String PROPERTY_CALENDAR_SIZE

  Property name.
  Название свойства.

  Since:
    1.0
  See Also:
    `getCalendarPreferredSize()`, Constant Field Values

Method Detail

### getBehavior

    MultyModelBehavior getBehavior()

  Selection model: one date, single period, multy.
  Модель выбора календаря: одна дата, один период или множественный.

  Since:
    1.0
  See Also:
    `MultyModelBehavior`

### setBehavior

    void setBehavior(MultyModelBehavior behavior)

  Since:
    1.0
  See Also:
    `getBehavior()`

### getCurrentView

    AppearancesList getCurrentView()

  Current calendar appearance.
  Текущий внешинй вид календаря.

  Since:
    1.0
  See Also:
    `AppearancesList`

### setCurrentView

    void setCurrentView(AppearancesList aList)

  Since:
    1.0
  See Also:
    `getCurrentView()`

### getDefaultPeriods

    PeriodSet getDefaultPeriods()

  Default date(s).
  Множество дат, выбранных по умолчанию.

  Since:
    1.0
  See Also:
    `PeriodSet`, `setDefaultPeriods(PeriodSet)`

### setDefaultPeriods

    void setDefaultPeriods(PeriodSet periods)
                           throws IncompatibleDataExeption

  Задает значение по умолчанию. Нельзя сделать по умолчанию запрещенные даты, но можно лежащие за пределами минимальной и максимальной.

  Throws:
    `IncompatibleDataExeption` - Возникает при попытке задать по умолчанию запрещенные даты.
  Since:
    1.0
  See Also:
    `getDefaultPeriods()`, `PeriodSet`, `IncompatibleDataExeption`

### getForbiddenPeriods

    PeriodSet getForbiddenPeriods()

  Forbidden date(s).
  Множество запрещенных дат.

  Since:
    1.0
  See Also:
    `PeriodSet`, `setForbiddenPeriods(PeriodSet)`

### setForbiddenPeriods

    void setForbiddenPeriods(PeriodSet periods)
                             throws IncompatibleDataExeption

  Sets forbiddent date(s). You can not forbid default date(s).
  Задает запрещенные даты. Нельзя запретить даты по умолчанию.

  Throws:
    `IncompatibleDataExeption` - If you are trying to forbid default date.
    Возникает при попытке запретить дату по умолчанию.
  Since:
    1.0
  See Also:
    `getForbiddenPeriods()`, `PeriodSet`, `IncompatibleDataExeption`

### setForbidden

    void setForbidden(java.lang.Iterable<Period> forbiddenPeriods)
                      throws IncompatibleDataExeption

  Throws:
    `IncompatibleDataExeption`
  Since:
    1.0
  See Also:
    `setForbiddenPeriods(PeriodSet)`, `Period`

### getMaxDate

    java.util.Calendar getMaxDate()

  Maximal date user can select.
  Максимально допустимая для выбора дата.

  Since:
    1.0
  See Also:
    `setMaxDate(Calendar)`

### setMaxDate

    void setMaxDate(java.util.Calendar aDate)

  Since:
    1.0
  See Also:
    `getMaxDate()`

### getMinDate

    java.util.Calendar getMinDate()

  Minimal date user can select.
  Минимально допустимая для выбора дата.

  Since:
    1.0
  See Also:
    `setMinDate(Calendar)`

### setMinDate

    void setMinDate(java.util.Calendar aDate)

  Since:
    1.0
  See Also:
    `getMinDate()`

### getSelectedDate

    java.util.Calendar getSelectedDate()

  Selected date.
  Выбранная дата.

  Returns:
    Selected date. First date if some dates or period(s) selected
    Выбранная дата. Если выбрано несколько дат, вернет первую.
  Since:
    1.0

### setSelectedDate

    void setSelectedDate(java.util.Calendar aDate)

  Since:
    1.0
  See Also:
    `getSelectedDate()`

### getSelectedPeriodSet

    PeriodSet getSelectedPeriodSet()

  All selected dates.
  Множество выбранных дат.

  Since:
    1.0
  See Also:
    `PeriodSet`

### setSelection

    void setSelection(PeriodSet periods)

  Since:
    1.0
  See Also:
    `getSelectedPeriodSet()`

### getSelection

    java.lang.Iterable<Period> getSelection()

  All selected dates.
  Множество выбранных дат.

  Since:
    1.0
  See Also:
    `Period`

### setSelection

    void setSelection(java.lang.Iterable<Period> periods)

  Since:
    1.0
  See Also:
    `getSelection()`

### isAutoScroll

    boolean isAutoScroll()

  If true component automatically scrolls when date from the next month selected, otherwise user can not select next month's date.
  Если данное свойство истинно, календарь автоматически прокручивается при выборе даты из сосещнего месяца, иначе выбор дня из соседнего месяца не допускается.

  Since:
    1.0

### setAutoScroll

    void setAutoScroll(boolean autoScroll)

  Since:
    1.0
  See Also:
    `isAutoScroll()`

### isEnabled

    boolean isEnabled()

  Is calendar enabled (allows date selection).
  Свойство, определяющее доступен ли календарь для редактирования.

  Since:
    1.0

### setEnabled

    void setEnabled(boolean enabled)

  Since:
    1.0
  See Also:
    `isEnabled()`

### isLocked

    boolean isLocked()

  If true - user can use calendar only in readonly mode, you can move cursor, scroll month and year, but can not select anything.
  Если истинно - календарь можно использовать только для просмотра значений. Можно перемещать курсор, переключать месяцы и годы, но нельзы что-то выбрать.

  Since:
    1.0

### setLocked

    void setLocked(boolean lock)

  Since:
    1.0
  See Also:
    `isLocked()`

### isShowOneMonth

    boolean isShowOneMonth()

  If true - days of next month are visible. Does not influence scroll property.
  Если свойство истинно, отображаются дни из соседнего месяца. На прокрутку это свойство никак не влияет.

  Since:
    1.0

### setShowOneMonth

    void setShowOneMonth(boolean showOneMonth)

  Since:
    1.0
  See Also:
    `isShowOneMonth()`

### getWeekStyle

    WeekDaysStyle getWeekStyle()

  Weeddays output style: one letter, short, full.
  Возвращает стиль вывода дней недели: одной буквой, кратко, полностью.

  Since:
    1.0
  See Also:
    `WeekDaysStyle`

### setWeekStyle

    void setWeekStyle(WeekDaysStyle weekStyle)

  Since:
    1.0
  See Also:
    `getWeekStyle()`

### getNavigateFont

    java.awt.Font getNavigateFont()

  Navigate panel font.
  Шрифт панели навигации.

  Since:
    1.0
  See Also:
    `setCurrentNavigateIndex(int)`

### setNavigateFont

    void setNavigateFont(java.awt.Font font)

  Since:
    1.0
  See Also:
    `getNavigateFont()`

### getLocale

    java.util.Locale getLocale()

  Lovalization.
  Локализация.

  Since:
    1.0

### setLocale

    void setLocale(java.util.Locale locale)

  Since:
    1.0
  See Also:
    `getLocale()`

### getCurrentNavigateIndex

    int getCurrentNavigateIndex()

  Navigation panels:
  1) ComboBox for month selection, textfield for year,
  2) Use only buttons.
  Навигационная панель: 1) Месяц выбирается с помощью раскрывающегося списка, год - поля 2) Все выбирается с помощью кнопок.

  Since:
    1.0

### setCurrentNavigateIndex

    void setCurrentNavigateIndex(int currentNavigateIndex)

  Since:
    1.0
  See Also:
    `getCurrentNavigateIndex()`

### getCalendarBackground

    java.awt.Color getCalendarBackground()

  Background color for calendar panel. Visible only if some of day cells are transparent.
  Цвет фона панели календаря. Внимание! Влияет на внешний вид только при условии прозрачности ячеек выбора дня.

  Since:
    1.0

### setCalendarBackground

    void setCalendarBackground(java.awt.Color backColor)

  Since:
    1.0
  See Also:
    `getCalendarBackground()`

### getCalendarPreferredSize

    java.awt.Dimension getCalendarPreferredSize()

  Calendar panel preferred size.
  Предпочтительный размер панели календаря.

  Since:
    1.0

### setCalendarPreferredSize

    void setCalendarPreferredSize(java.awt.Dimension dim)

  Since:
    1.0
  See Also:
    `getCalendarPreferredSize()`

### getCurrent

    java.util.Calendar getCurrent()

  Current date (date under cursor).
  Дата, на которой находится курсор.

  Since:
    1.0

### setCurrent

    boolean setCurrent(java.util.Calendar aDate)

  Since:
    1.0
  See Also:
    `getCurrent()`

### setNothingAllowed

    void setNothingAllowed(boolean allow)

  Since:
    1.0
  See Also:
    `isNothingAllowed()`

### isNothingAllowed

    boolean isNothingAllowed()

  Allows null selection.
  Разрешает не выбирать ни одной даты (делать пустой выбор).

  Since:
    1.0

### getAppearancesList

    AppearancesList getAppearancesList()

  Gets skins list. Возвращает список скинов.

  Returns:
    Appearances list. Специальный объект - список представлений.
  Since:
    1.1

### commit

    void commit()

  Commits selection.
  Подтверждает выбор.

  Since:
    1.0

### addCommitListener

    void addCommitListener(CommitListener listener)

  Adds listener for commit event.
  Добавляет слушателя события "подтверждение выбора" (commit).

  Since:
    1.0
  See Also:
    `CommitListener`, `CommitEvent`

### removeCommitListener

    void removeCommitListener(CommitListener listener)

  Removes listener for commit event.
  Удаляет слушателя события "подтверждение выбора" (commit).

  Since:
    1.0
  See Also:
    `CommitListener`, `CommitEvent`

### addSelectionChangedListener

    void addSelectionChangedListener(SelectionChangedListener listener)

  Adds listener for selection changed event. Добавляет слушателя события "изменение выбора".

  Since:
    1.0
  See Also:
    `SelectionChangedListener`, `SelectionChangedEvent`

### removeSelectionChangedListener

    void removeSelectionChangedListener(SelectionChangedListener listener)

  Removes listener for selection change event.
  Удаляет слушателя события "изменение выбора".

  Since:
    1.0
  See Also:
    `SelectionChangedListener`, `SelectionChangedEvent`

### addCursorMoveListener

    void addCursorMoveListener(CursorMoveListener listener)

  Adds listener for cursor move event.
  Добавляет слушателя события "перемещение курсора".

  Since:
    1.0
  See Also:
    `CursorMoveListener`, `CursorMoveEvent`

### removeCursorMoveListener

    void removeCursorMoveListener(CursorMoveListener listener)

  Removes listener for cursor move event.
  Удаляет слушателя события "перемещение курсора".

  Since:
    1.0
  See Also:
    `CursorMoveListener`, `CursorMoveEvent`

### clone

    DateChooserBean clone()

  Clones bean.
  Клонирование компонента.

  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD